/* This file is part of the KDE project
   SPDX-FileCopyrightText: 2007 Stefan Nikolaus <stefan.nikolaus@kdemail.net>

   SPDX-License-Identifier: LGPL-2.0-or-later
*/

#ifndef CALLIGRA_SHEETS_NAMED_AREA_COMMAND
#define CALLIGRA_SHEETS_NAMED_AREA_COMMAND

#include "AbstractRegionCommand.h"
#include "Region.h"

namespace Calligra
{
namespace Sheets
{

/**
 * \ingroup Commands
 * \brief Attaches a name to a cell range.
 */
class NamedAreaCommand : public AbstractRegionCommand
{
public:
    /**
     * Constructor.
     */
    explicit NamedAreaCommand(KUndo2Command *parent = 0);

    /**
     * Destructor.
     */
    ~NamedAreaCommand() override;

    void setAreaName(const QString& name);

    void setReverse(bool reverse) override;

protected:
    bool preProcessing() override;
    bool mainProcessing() override;
    bool postProcessing() override;

private:
    QString m_areaName;
    Region m_oldArea;
};

} // namespace Sheets
} // namespace Calligra

#endif // CALLIGRA_SHEETS_NAMED_AREA_COMMAND
